Skip to Content
0

Want to deploy a SAP HANA XSA node.js App to the SCP

Feb 24 at 12:26 PM

187

avatar image

Hi,

could somebody tell me, whether its actually possible to deploy an on-premise XSA node.js App to the SCP?

As I remember was the plan of SAP to get it to work until the end of 2017.

Thanks,

Dirk

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

2 Answers

Florian Pfeffer
Feb 25 at 10:12 AM
1

Yes it is possible. You can deploy your MTAR file to SCP. Details can be found in document here for example. The document describes the deployment process using the Cloud Foundry CLI. In the meantime you can deploy your MATR file also directly in the SCP CF Cockpit in the applications area (just go to your space -> Applications -> Deploy Application).

Regards,
Florian

Show 4 Share
10 |10000 characters needed characters left characters exceeded

Hi Florian,

sounds good, will check for it tomorrow. I'm very keen of it to see if its working. Thanks for this helpful guide!

Dirk

0

Can't check for it. After waiting so long for it, my Cloud Foundry trial account has expired. :(

0

Why you do not re-create it?

0

Tried it for the cf service, but didn't work for me.

0
Dirk Raschke Mar 13 at 01:54 PM
0

Hi Florian,

could now extend my cf account and was able to check for your guide. At first thank you very much for this helpful doc.

I was able to deploy the sample app "smallEX1" on our own system, but wasn't able to deploy it to the cf service. Do you know what the reason could be for this issue?

#2.0#2018 03 13 13:10:34.825#Z#ERROR#com.sap.cloud.lm.sl.xs2.13278442.MAIN_LOG# ######com.sap.cloud.lm.sl.cf.process.util.StepLogger########pool-7-thread-3### [StartAppStep] Error executing application "smallEx1.db": Deployment to container D66CE4E8908B490E88085B2BCB391C36 failed - error: HDI make failed [deploy-13278442].#

Thanks

Show 1 Share
10 |10000 characters needed characters left characters exceeded

Ok, could solve this issue by myself. I had to change the hdiconfig to "2.0.2.0"

Error Msg: ("2.0.2.0" (installed) is incompatible with "2.0.20.0")

But now I struggling with the memory. I can't start the web modul because the java and node modul need to much space. :(

0